Unit tafp3c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFP3C_p;

function tafp3c: String;

implementation

function tafp3c: String;
var
_i,I :Integer;
L :Array [0..2] of Integer;
V :Array [0..4] of Complex;
const
A :Array [0..14] of Complex = ( ( re:0.0; im:2.0 ),( re:1.0; im:0.0 ),( re:1.0; 
im:-1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:0.0 ),( 
re:0.0; im:3.0 ),( re:-1.0; im:3.0 ),( re:1.0; 
im:0.0 ),( re:0.0; im:0.0 ),( re:2.0; im:1.0 ),( 
re:2.0; im:3.0 ),( re:0.0; im:0.0 ),( re:3.0; 
im:1.0 ),( re:-1.0; im:2.0 ),( re:1.0; im: -1.0 ) );
begin
Result := '';  {   }
Result := Result + Format('%s',[' CXOHA MATPA']) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 14 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
AFP3C(A,3,5,V,L);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' PETAT AKTOPA']) + #$0D#$0A;
Result := Result + Format('%s',[' A']);
Result := Result + #$0D#$0A;
for _i:=0 to 14 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' V']) + #$0D#$0A;
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[V[I-1].re,V[I-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' L']);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%5d ',[L[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafp3c',Result);  {     tafp3c.res }
exit;
end;

end.
